## org.eclipse.emf.compare.match.metamodel.impl
Class UnmatchElementImpl

    java.lang.Object
      org.eclipse.emf.common.notify.impl.BasicNotifierImpl
          org.eclipse.emf.ecore.impl.BasicEObjectImpl
              org.eclipse.emf.ecore.impl.EObjectImpl
                  org.eclipse.emf.compare.match.metamodel.impl.UnmatchElementImpl

All Implemented Interfaces:
  org.eclipse.emf.common.notify.Notifier, UnmatchElement, org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.InternalEObject

    public class UnmatchElementImpl

extends org.eclipse.emf.ecore.impl.EObjectImpl
implements UnmatchElement

An implementation of the model object 'Unmatch Element'.

The following features are implemented:

- `Element`
- `Conflicting`
- `Remote`
- `Side`

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolder, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderBaseImpl, org.eclipse.emf.ecore.impl.BasicEObjectImpl.EPropertiesHolderImpl`

Nested classes/interfaces inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EAdapterList<E extends java.lang.Object & org.eclipse.emf.common.notify.Adapter>, org.eclipse.emf.common.notify.impl.BasicNotifierImpl.EObservableAdapterList`

Nested classes/interfaces inherited from interface org.eclipse.emf.ecore.InternalEObject
`org.eclipse.emf.ecore.InternalEObject.EStore`

Field Summary
`protected boolean` `conflicting` The cached value of the '`Conflicting`' attribute
`protected static boolean` `CONFLICTING_EDEFAULT` The default value of the '`Conflicting`' attribute
`protected org.eclipse.emf.ecore.EObject` `element` The cached value of the '`Element`' reference
`protected boolean` `remote` The cached value of the '`Remote`' attribute
`protected static boolean` `REMOTE_EDEFAULT` The default value of the '`Remote`' attribute
`protected Side` `side` The cached value of the '`Side`' attribute
`protected static Side` `SIDE_EDEFAULT` The default value of the '`Side`' attribute

Fields inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eContainer, eContainerFeatureID, EDELIVER, EDYNAMIC_CLASS, eFlags, ELAST_EOBJECT_FLAG, ELAST_NOTIFIER_FLAG, eProperties, EPROXY`

Fields inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl
`EVIRTUAL_GET, EVIRTUAL_IS_SET, EVIRTUAL_NO_VALUE, EVIRTUAL_SET, EVIRTUAL_UNSET`

Fields inherited from interface org.eclipse.emf.ecore.InternalEObject
`EOPPOSITE_FEATURE_BASE`

Constructor Summary
`protected` `UnmatchElementImpl()`

Method Summary
`org.eclipse.emf.ecore.EObject` `basicGetElement()`
`java.lang.Object` `eGet(int featureID, boolean resolve, boolean coreType)`
`boolean` `eIsSet(int featureID)`
`void` `eSet(int featureID, java.lang.Object newValue)`
`protected org.eclipse.emf.ecore.EClass` `eStaticClass()`
`void` `eUnset(int featureID)`
`org.eclipse.emf.ecore.EObject` `getElement()`
`Side` `getSide()`
`boolean` `isConflicting()`
`boolean` `isRemote()`
`void` `setConflicting(boolean newConflicting)`
`void` `setElement(org.eclipse.emf.ecore.EObject newElement)`
`void` `setRemote(boolean newRemote)`
`void` `setSide(Side newSide)`
`java.lang.String` `toString()`

Methods inherited from class org.eclipse.emf.ecore.impl.EObjectImpl
`eAdapters, eBasicAdapters, eBasicProperties, eBasicSetContainer, eClass, eContainerFeatureID, eDeliver, eInternalContainer, eInvoke, eIsProxy, eProperties, eSetClass, eSetDeliver, eSetProxyURI`

Methods inherited from class org.eclipse.emf.ecore.impl.BasicEObjectImpl

`eAddVirtualValue, eAllContents, eBaseStructuralFeatureID, eBasicRemoveFromContainer, eBasicRemoveFromContainerFeature, eBasicSetContainer, eComputeVirtualValuesCapacity, eContainer, eContainerAdapterArray, eContainingFeature, eContainmentFeature, eContainmentFeature, eContains, eContents, eCrossReferences, eDerivedOperationID, eDerivedOperationID, eDerivedStructuralFeatureID, eDerivedStructuralFeatureID, eDirectResource, eDynamicBasicRemoveFromContainer, eDynamicClass, eDynamicFeature, eDynamicFeatureID, eDynamicGet, eDynamicGet, eDynamicGet, eDynamicInverseAdd, eDynamicInverseAdd, eDynamicInverseRemove, eDynamicInverseRemove, eDynamicInvoke, eDynamicInvoke, eDynamicIsSet, eDynamicIsSet, eDynamicIsSet, eDynamicSet, eDynamicSet, eDynamicSet, eDynamicUnset, eDynamicUnset, eDynamicUnset, eGet, eGet, eGet, eHasSettings, eInternalResource, eInverseAdd, eInverseAdd, eInverseRemove, eInverseRemove, eInvocationDelegate, eInvoke, eIsSet, eObjectForURIFragmentSegment, eOpenGet, eOpenIsSet, eOpenSet, eOpenUnset, eProxyURI, eRemoveVirtualValue, eResolveProxy, eResource, eSet, eSetDirectResource, eSetResource, eSetStore, eSetting, eSettingDelegate, eSettings, eSetVirtualIndexBits, eSetVirtualValue, eSetVirtualValues, eStaticFeatureCount, eStaticOperationCount, eStore, eUnset, eURIFragmentSegment, eVirtualBitCount, eVirtualGet, eVirtualGet, eVirtualIndex, eVirtualIndexBits, eVirtualIsSet, eVirtualSet, eVirtualUnset, eVirtualValue, eVirtualValues`

Methods inherited from class org.eclipse.emf.common.notify.impl.BasicNotifierImpl
`eBasicAdapterArray, eBasicHasAdapters, eNotificationRequired, eNotify`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.eclipse.emf.ecore.EObject
`eAllContents, eClass, eContainer, eContainingFeature, eContainmentFeature, eContents, eCrossReferences, eGet, eGet, eInvoke, eIsProxy, eIsSet, eResource, eSet, eUnset`

Methods inherited from interface org.eclipse.emf.common.notify.Notifier
`eAdapters, eDeliver, eNotify, eSetDeliver`

Methods inherited from interface org.eclipse.emf.ecore.InternalEObject
`eNotificationRequired`

Field Detail

### element

    protected org.eclipse.emf.ecore.EObject element

  The cached value of the '`Element`' reference.

  See Also:
    `getElement()`

### CONFLICTING_EDEFAULT

    protected static final boolean CONFLICTING_EDEFAULT

  The default value of the '`Conflicting`' attribute.

  See Also:
    `isConflicting()`, Constant Field Values

### conflicting

    protected boolean conflicting

  The cached value of the '`Conflicting`' attribute.

  See Also:
    `isConflicting()`

### REMOTE_EDEFAULT

    protected static final boolean REMOTE_EDEFAULT

  The default value of the '`Remote`' attribute.

  See Also:
    `isRemote()`, Constant Field Values

### remote

    protected boolean remote

  The cached value of the '`Remote`' attribute.

  See Also:
    `isRemote()`

### SIDE_EDEFAULT

    protected static final Side SIDE_EDEFAULT

  The default value of the '`Side`' attribute.

  See Also:
    `getSide()`

### side

    protected Side side

  The cached value of the '`Side`' attribute.

  See Also:
    `getSide()`

Constructor Detail

### UnmatchElementImpl

    protected UnmatchElementImpl()

Method Detail

### eStaticClass

    protected org.eclipse.emf.ecore.EClass eStaticClass()

  Overrides:
    `eStaticClass` in class `org.eclipse.emf.ecore.impl.EObjectImpl`

### getElement

    public org.eclipse.emf.ecore.EObject getElement()

  Specified by:
    `getElement` in interface `UnmatchElement`
  Returns:
    the value of the 'Element' reference.
  See Also:
    `UnmatchElement.setElement(EObject)`, `MatchPackage.getUnmatchElement_Element()`

### basicGetElement

    public org.eclipse.emf.ecore.EObject basicGetElement()

### setElement

    public void setElement(org.eclipse.emf.ecore.EObject newElement)

  Specified by:
    `setElement` in interface `UnmatchElement`
  Parameters:
    `newElement` - the new value of the 'Element' reference.
  See Also:
    `UnmatchElement.getElement()`

### isConflicting

    public boolean isConflicting()

  Specified by:
    `isConflicting` in interface `UnmatchElement`
  Returns:
    the value of the 'Conflicting' attribute.
  See Also:
    `UnmatchElement.setConflicting(boolean)`, `MatchPackage.getUnmatchElement_Conflicting()`

### setConflicting

    public void setConflicting(boolean newConflicting)

  Specified by:
    `setConflicting` in interface `UnmatchElement`
  Parameters:
    `newConflicting` - the new value of the 'Conflicting' attribute.
  See Also:
    `UnmatchElement.isConflicting()`

### isRemote

    public boolean isRemote()

  Specified by:
    `isRemote` in interface `UnmatchElement`
  Returns:
    the value of the 'Remote' attribute.
  See Also:
    `UnmatchElement.setRemote(boolean)`, `MatchPackage.getUnmatchElement_Remote()`

### setRemote

    public void setRemote(boolean newRemote)

  Specified by:
    `setRemote` in interface `UnmatchElement`
  Parameters:
    `newRemote` - the new value of the 'Remote' attribute.
  See Also:
    `UnmatchElement.isRemote()`

### getSide

    public Side getSide()

  Specified by:
    `getSide` in interface `UnmatchElement`
  Returns:
    the value of the 'Side' attribute.
  See Also:
    `Side`, `UnmatchElement.setSide(Side)`, `MatchPackage.getUnmatchElement_Side()`

### setSide

    public void setSide(Side newSide)

  Specified by:
    `setSide` in interface `UnmatchElement`
  Parameters:
    `newSide` - the new value of the 'Side' attribute.
  See Also:
    `Side`, `UnmatchElement.getSide()`

### eGet

    public java.lang.Object eGet(int featureID,
                                 boolean resolve,
                                 boolean coreType)

  Specified by:
    `eGet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eGet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eSet

    public void eSet(int featureID,
                     java.lang.Object newValue)

  Specified by:
    `eSet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eSet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eUnset

    public void eUnset(int featureID)

  Specified by:
    `eUnset` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eUnset` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### eIsSet

    public boolean eIsSet(int featureID)

  Specified by:
    `eIsSet` in interface `org.eclipse.emf.ecore.InternalEObject`
  Overrides:
    `eIsSet` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `org.eclipse.emf.ecore.impl.BasicEObjectImpl`

Copyright 2006 IBM Corporation and others. All Rights Reserved.